package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.hrmAttProcSet.*;
import com.engine.kq.service.KQAttendanceSetService;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import weaver.hrm.User;

public class KQAttendanceSetServiceImpl extends Service implements KQAttendanceSetService {

  @Override
  public Map<String, Object> getStateRightMenu(Map<String, Object> params,User user) {
    return commandExecutor.execute(new GetStateRightMenuCmd(params, user));
  }

  @Override
  public Map<String, Object> getStateProcSetListSearchCondition(Map<String, Object> params,User user) {
    return commandExecutor.execute(new GetStateProcSetListSearchConditionCmd(params, user));
  }

  @Override
  public Map<String, Object> getStateProcSetListSearchList(Map<String, Object> params,
      HttpServletRequest request,User user) {
    return commandExecutor.execute(new GetStateProcSetListSearchListCmd(params,request, user));
  }

  @Override
  public Map<String, Object> saveStateProcSetFlow(Map<String, Object> params,User user) {
    return commandExecutor.execute(new SaveStateProcSetFlowCmd(params, user));
  }

  @Override
  public Map<String, Object> getStateProcSetFlowForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetStateProcSetFlowFormCmd(params, user));
  }

  @Override
  public Map<String, Object> getStateProcSetTabInfo(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetStateProcSetTabInfoCmd(params, user));
  }

  @Override
  public Map<String, Object> getStateProcSetFlowWfFields(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetStateProcSetFlowWfFieldsCmd(params, user));
  }

  @Override
  public Map<String, Object> saveStateProcSetFlowWfFields(Map<String, Object> params,HttpServletRequest request, User user) {
    return commandExecutor.execute(new SaveStateProcSetFlowWfFieldsCmd(params,request, user));
  }

  @Override
  public Map<String, Object> getStateProcSetFlowWfSet(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetStateProcSetFlowWfSetCmd(params, user));
  }

  @Override
  public Map<String, Object> saveStateProcSetFlowWfSet(Map<String, Object> params, HttpServletRequest request,
      HttpServletResponse response, User user) {
    return commandExecutor.execute(new SaveStateProcSetFlowWfSetCmd(params,request,response, user));
  }

  @Override
  public Map<String, Object> getStateProcSetCreateForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetStateProcSetCreateFormCmd(params, user));
  }

  @Override
  public Map<String, Object> changeStateProcSetStatus(Map<String, Object> params, HttpServletRequest request, User user) {
    return commandExecutor.execute(new ChangeStateProcSetStatusCmd(params, user));
  }

  @Override
  public Map<String, Object> delStateProcSet(Map<String, Object> params,HttpServletRequest request, User user) {
    return commandExecutor.execute(new DelStateProcSetCmd(params, user));
  }

  @Override
  public Map<String, Object> saveStateProcSetCreateForm(Map<String, Object> params, HttpServletRequest request, User user) {
    return commandExecutor.execute(new SaveStateProcSetCreateFormCmd(params, user));
  }

  @Override
  public Map<String, Object> getProcSetTemplet(Map<String, Object> params,HttpServletRequest request, User user) {
    return commandExecutor.execute(new GetProcSetTempletCmd(params,user));
  }

  @Override
  public Map<String, Object> getCustomKQFlowTab(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetCustomKQFlowTabCmd(params,user));
  }

  @Override
  public Map<String, Object> getProcSetCheckRule(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetProcSetCheckRuleCmd(params,user));
  }

  @Override
  public Map<String, Object> getStateProcSetFlowCheckRuleList(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetStateProcSetFlowCheckRuleListCmd(params,user));
  }

  @Override
  public Map<String, Object> saveStateProcCheckRule(Map<String, Object> params, User user) {
    return commandExecutor.execute(new SaveStateProcCheckRuleCmd(params,user));
  }

  @Override
  public Map<String, Object> delStateProcCheckRule(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DelStateProcCheckRuleCmd(params,user));
  }
}
